#import "AppDelegate.h"
#import "MposHandler+VTsdkSampleApp.h"
#import "VTsdkSampleAppObjc.h"

@interface AppDelegate ()
@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    [MposHandler initSdk];

    if (@available(iOS 15, *)) {
        NSDictionary *attributes = @{
            NSFontAttributeName : [UIFont fontWithName:@"HelveticaNeue" size:19.0f],
            NSForegroundColorAttributeName : UIColor.whiteColor
        };

        NSDictionary *barButtonItemAttributes =
            @{NSForegroundColorAttributeName : UIColor.whiteColor};

        UINavigationBarAppearance *appearance = [UINavigationBarAppearance new];
        [appearance configureWithOpaqueBackground];
        appearance.titleTextAttributes = attributes;
        appearance.backgroundColor = UIColor.systemBlueColor;

        UIBarButtonItemAppearance *buttonAppearance = [UIBarButtonItemAppearance new];
        buttonAppearance.normal.titleTextAttributes = barButtonItemAttributes;
        appearance.buttonAppearance = buttonAppearance;

        UINavigationBar.appearance.standardAppearance = appearance;
        UINavigationBar.appearance.scrollEdgeAppearance = appearance;
        UINavigationBar.appearance.standardAppearance.buttonAppearance = buttonAppearance;
        UINavigationBar.appearance.standardAppearance.backButtonAppearance = buttonAppearance;
        UINavigationBar.appearance.standardAppearance.doneButtonAppearance = buttonAppearance;
    } else {
        NSDictionary *attributes = @{
            NSFontAttributeName : [UIFont fontWithName:@"HelveticaNeue" size:19.0f],
            NSForegroundColorAttributeName : UIColor.whiteColor
        };
        [[UINavigationBar appearance] setTitleTextAttributes:attributes];
        [[UINavigationBar appearance] setTintColor:[UIColor whiteColor]];
        [[UINavigationBar appearance] setBarTintColor:[UIColor systemBlueColor]];
        [[UINavigationBar appearance] setBackgroundColor:[UIColor systemBlueColor]];
    }
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application {
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
}

- (void)applicationWillTerminate:(UIApplication *)application {
}

@end
