#import "LogViewController.h"

@implementation LogViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.logTextView.text = self.logData.toString;
}

- (IBAction)onClearButton:(id)sender {
    [self clear];
}

- (void)clear {
    [self.logData clear];
    self.logTextView.text = @"";
}

@end

@implementation LogViewController (Factory)

+ (instancetype)logViewControllerWithOwnerViewController:(UIViewController *)ownerViewController
                                                 logData:(LogData *)logData {
    LogViewController *logViewController = (LogViewController *)[[ownerViewController storyboard]
        instantiateViewControllerWithIdentifier:NSStringFromClass([self class])];
    logViewController.logData = logData;
    return logViewController;
}

@end
