#import "LogData.h"
#import "UIAlertController+VTsdkSampleApp.h"

@implementation UIAlertController (VTsdkSampleApp)

+ (UIAlertController *)alertControllerWithLogMessage:(NSString *)log {
    UIAlertController *alert =
        [UIAlertController alertControllerWithTitle:@"結果"
                                            message:@""
                                     preferredStyle:UIAlertControllerStyleAlert];

    UIAlertAction *action = [UIAlertAction actionWithTitle:@"OK"
                                                     style:UIAlertActionStyleDefault
                                                   handler:^(UIAlertAction *action){
                                                   }];
    [alert addAction:action];

    NSMutableParagraphStyle *paragraphStyle = [NSMutableParagraphStyle new];
    paragraphStyle.alignment = NSTextAlignmentLeft;
    NSMutableAttributedString *message = [[NSMutableAttributedString alloc]
        initWithString:log
            attributes:@{NSParagraphStyleAttributeName : paragraphStyle}];

    [alert setValue:message forKey:@"attributedMessage"];

    return alert;
}

+ (UIAlertController *)alertControllerWithResponse:(NSArray<ResponseParamValue *> *)response {
    UIAlertController *alert =
        [UIAlertController alertControllerWithTitle:@"結果"
                                            message:@""
                                     preferredStyle:UIAlertControllerStyleAlert];

    UIAlertAction *action = [UIAlertAction actionWithTitle:@"OK"
                                                     style:UIAlertActionStyleDefault
                                                   handler:^(UIAlertAction *action){
                                                   }];
    [alert addAction:action];

    NSMutableAttributedString *message = [[NSMutableAttributedString alloc] initWithString:@""];
    [response enumerateObjectsUsingBlock:^(ResponseParamValue *item, NSUInteger idx, BOOL *stop) {
      UIColor *color;
      switch (item.status) {
          case ResponseParamValueStatusOk:
              color = UIColor.blackColor;
              break;
          case ResponseParamValueStatusMissing:
              color = UIColor.brownColor;
              break;
          case ResponseParamValueStatusUnused:
              color = UIColor.blueColor;
              break;
      }
      NSAttributedString *attrString =
          [[NSAttributedString alloc] initWithString:[LogData stringFromResponseObject:item]
                                          attributes:@{NSForegroundColorAttributeName : color}];
      [message appendAttributedString:attrString];
    }];

    // 左寄せ
    NSMutableParagraphStyle *paragraphStyle = [NSMutableParagraphStyle new];
    paragraphStyle.alignment = NSTextAlignmentLeft;
    [message addAttribute:NSParagraphStyleAttributeName
                    value:paragraphStyle
                    range:NSMakeRange(0, message.length)];

    [alert setValue:message forKey:@"attributedMessage"];

    return alert;
}

@end
